Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class X509CertParser

    java.lang.Object
      org.bouncycastle.x509.X509StreamParserSpi
          org.bouncycastle.jce.provider.X509CertParser

    public class X509CertParser

extends X509StreamParserSpi

Constructor Summary
`X509CertParser()`

Method Summary
`void` `engineInit(java.io.InputStream in)` Initializes this stream parser with the input stream.
`java.lang.Object` `engineRead()` Returns the next X.509 object of the type of this SPI from the given input stream.
`java.util.Collection` `engineReadAll()` Returns all X.509 objects of the type of this SPI from the given input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509CertParser

    public X509CertParser()

Method Detail

### engineInit

    public void engineInit(java.io.InputStream in)

  Description copied from class: `X509StreamParserSpi`
  Initializes this stream parser with the input stream.

  Specified by:
    `engineInit` in class `X509StreamParserSpi`
  Parameters:
    `in` - The input stream.

### engineRead

    public java.lang.Object engineRead()
                                throws StreamParsingException

  Description copied from class: `X509StreamParserSpi`
  Returns the next X.509 object of the type of this SPI from the given input stream.

  Specified by:
    `engineRead` in class `X509StreamParserSpi`
  Returns:
    the next X.509 object in the stream or `null` if the end of the stream is reached.
  Throws:
    `StreamParsingException` - if the object cannot be created from input stream.

### engineReadAll

    public java.util.Collection engineReadAll()
                                       throws StreamParsingException

  Description copied from class: `X509StreamParserSpi`
  Returns all X.509 objects of the type of this SPI from the given input stream.

  Specified by:
    `engineReadAll` in class `X509StreamParserSpi`
  Returns:
    A collection of all X.509 objects in the input stream or `null` if the end of the stream is reached.
  Throws:
    `StreamParsingException` - if an object cannot be created from input stream.

Bouncy Castle Cryptography Library 1.45